import pandas as pd
import matplotlib.pyplot as plt

finnm = input('入力データファイル（*.xlsx）= ')
foutnm = input('画像保存ファイル（*.png）= ')
#
#      Excelファイルの読み込み
#　　　モジュール xlrd がインストール済みであること
#
xlsx_fl = pd.ExcelFile(finnm)                       #   ExcelファイルからExcelFile型オブジェクトを生成
data_xlsx = pd.read_excel(xlsx_fl,  header = None)  #   ExcelFile型オブジェクトからDataFrame型オブジェクトを生成
data = data_xlsx.values                             #   Dataframe型オブジェクトからnumpyの配列オブジェクトを生成
print(data)

VarName = data[0][0]
Categ = data[1]
counts = data[2]

#       日本語表記の設定
plt.rcParams['font.family'] = ['Yu Gothic', 'Noto Sans CJK JP', 'Hiragino Maru Gothic Pro']

#                   円グラフの表示
def func(pct):
    return '{0:.1f}%'.format(pct)
plt.pie(counts, labels = Categ, labeldistance = None, autopct = lambda pct: func(pct))

plt.title(VarName, fontsize = 20)        #   タイトルの表示
plt.legend()                             #   レジェンドの表示
plt.savefig(foutnm)                      #   画像の保存
print('\n保存画像ファイル：', foutnm, '\n')
plt.show()                               #   画像の表示
